/*google fonts*/

body{
 font-family: 'Open Sans', sans-serif;
}

*{ 
	/*css reset; 
	m- changes the amount of space between border and its surrounding element, outside
	p- changes the amount of space between border and content of an element, inside*/

	margin: 0 ;
	padding: 0 ;
	box-sizing: border-box; /*to preview the exact width and height of an element without any adjustments*/
}

nav{
	/*shorthand property - shortcut to declare sizing

	padiing value is added to all sides
	padding-top: ;
	padding-bottom: ;
	padding-right: ;
	padding-left: ;
	padding: 0.8rem, 0.8rem, 0.8rem, 0.8rem;
	top-bottom
	padding: 0.8rem, 0.8rem, 0rem;
	left-right
	padding:  0rem, 0.8rem, 0.8rem;
	*/

	padding: 0.8rem;
	/*1rem (root epheremal unit) == 16px
	create space between nav bar and intro sec*/
	margin-bottom: 2rem;
	/*you can apply rgba/rgb as long as it pertains to color*/
	border-bottom: 1px solid gray;
}

/*nav ul {} specifies
	descendant selector*/
.nav{
	list-style-type: none;
	display: inline;
}
nav .nav, nav .nav-logo{
	/*dont forget the (',') for multiple selector
	create space betweem the ul and the nav element*/
	margin: 0.5rem;
	/*changes element into inline elements*/
	display: inline;
	vertical-align: middle;
}

/*intro sec*/
#intro{
	/*
	creates a space between the contents of the intro section and its border
	padding:  2rem 10% 3em
	top left and right bottom*/

	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;

	text-align: center;
}
.header{
	/*best used when horizontally alighning text instead of using margin and padding*/
	text-align: center;
}
#intro h2, #intro p{
	/*creates a space between the contents of the intro section*/
	margin-bottom: 1rem;
}
#intro button{
	color: white;
	/*font thickness*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	/*creates space between the button text and the border*/
	padding: 1rem;
}
#succeed-info{
	/*exact same properties as the intro section but can have its own css rule for flexibility*/
	padding: 2rem 10% 3rem;
	text-align: center;
}
#succeed-info h2{
	margin-bottom: 1rem;
}
#succeed-info h3{
	/*text-align: center;*/
	/*space betweem h3 tags and p tags*/
	margin-bottom: 1rem;
}
#succeed-info .card{
	/*allows the cards to to appear beside each other*/
	display: inline-block;
	/*aligns element with the tallest element in line, used w/ the inline-block value*/
	vertical-align: top;
	/*allow element to have equal height the adjust to the content*/
	min-height: 175px;
	/*measurement is based on equally diving the parent's container width*/
	width:  30%;
	/*creates horizontal spacing between cards*/
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}
.card p{
	text-align: left;
}
footer{
/*creates a space between the span and footer tags*/
padding: 0.7rem;
}
footer span{
	/*shorthand top bottom, left right
	margin 0 0.5rem*/
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

#pre-footer div{
	display: inline-block;
	vertical-align: top;
	min-height: 20px;
	width: 23%;

}
#pre-footer{
	background-color: #002540;
	color: white;
	padding-bottom: 10px;
	padding-top: 20px;
	padding-left: 10px;
}

#pre-footer p{
	margin-bottom: 5px;
}
#pre-footer h3{
	margin-bottom: 5px;
}